Home//Folders
Folders
Introduction
Changelog (2.17)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Dynamic Content
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
You can fetch a list of all folders for organizing content by making a GET request to https://api.intercom.io/folders.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.17"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/folders
- The european API serverhttps://api.eu.intercom.io/folders
- The australian API serverhttps://api.au.intercom.io/folders
curl -i -X GET \
'https://api.intercom.io/folders?page=1&per_page=50&parent_folder_id=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
dataArray of objects(Folder)
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
Response
{ "type": "list", "data": [ { … } ], "total_count": 1, "pages": { "type": "pages", "page": 1, "per_page": 50, "total_pages": 1 } }